2018-10-17 08:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005377Talerotherpublic2018-09-05 16:42
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeveritytextReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005377: Back-office site style issues.
DescriptionA list of some issues with current style, at the back-office site.

1) Right now, the instance drop-down isn't even labeled as "select
instance".

2) Choosing between tracking order id and wire transfer should be
_above_ the two fields to enter these.

3) Submit button should be insensitive unless the required fields have
been entered correctly.

4) (S) logo on top is ugly, as this is now a _generic_ back office it
should just say "Taler back office" with our logo on top.

5) It should not say on top that this simulates the back office, this
_is_ the back office.

6) We need the same i18n language switcher we have on the main Taler
page in a title bar

7) Date and Amount in the title of the table should be centered

8) Table should use two (bright-ish) background colours for odd/even
rows to make the lines slightly more visible

9) Overall spacing and layout sucks.

10) If possible, exchange URI field should be pre-filled or at least
have a drop-down with values that were recently used on the page
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013164

Marcello Stanisci (manager)

1-5,7,8 addressed at 6ceb5f1; 9 is too much (say) generic to be well addressed.

~0013222

Marcello Stanisci (manager)

6: implementing the i18n infrastructure as of 32d56dcd5977c4cb2.

The switcher is very rudimentary respect to the one from www.taler.net,
but does switch language and it's quite intuitive. I'm considering this point 6
achieved; in the worst case, we can open a dedicate bug to address the styling
 of the switcher, but there is no need to let it block this huge issues list.

~0013223

Marcello Stanisci (manager)

565d739 solves point 10. Closing.
+Notes

-Issue History
Date Modified Username Field Change
2018-07-02 09:20 Marcello Stanisci New Issue
2018-07-30 16:32 Marcello Stanisci Note Added: 0013164
2018-08-02 08:58 Christian Grothoff Severity minor => text
2018-08-02 08:58 Christian Grothoff Product Version => SVN HEAD
2018-08-02 08:58 Christian Grothoff Target Version => 0.7
2018-09-04 14:14 Marcello Stanisci Note Added: 0013222
2018-09-04 15:37 Marcello Stanisci Note Added: 0013223
2018-09-04 15:37 Marcello Stanisci Assigned To => Marcello Stanisci
2018-09-04 15:37 Marcello Stanisci Status new => resolved
2018-09-04 15:37 Marcello Stanisci Resolution open => fixed
2018-09-05 16:42 Christian Grothoff Fixed in Version => 0.6
2018-09-05 16:42 Christian Grothoff Target Version 0.7 => 0.6
+Issue History